For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Meetings
      • POSTCreate Meeting
      • GETGet Meeting
      • PUTUpdate Meeting
      • DELRemove Meeting
      • POSTCreate Weekly Recurring Meetings
      • POSTCreate Monthly Recurring Meetings
      • POSTCreate Daily Recurring Meetings
      • POSTCreate Yearly Recurring Meetings
      • DELDelete Recurring Meetings
      • POSTValidate Recurring Meeting settings
      • PUTUpdate Recurring Meeting settings
LogoLogo
SupportContact salesStart free trial
API ReferenceMeetings

Get Meetings

GET
https://api.projectmanager.com/api/data/meetings
GET
/api/data/meetings
$curl https://api.projectmanager.com/api/data/meetings \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "description": "string",
18 "plannedStartDate": "2024-01-15T09:30:00Z",
19 "plannedFinishDate": "2024-01-15T09:30:00Z",
20 "plannedDuration": 1,
21 "plannedEffort": 1,
22 "priorityId": 1,
23 "assignees": [
24 {
25 "id": "string",
26 "initials": "string",
27 "name": "string",
28 "description": "string",
29 "isActive": true,
30 "colorName": "string",
31 "firstName": "string",
32 "lastName": "string",
33 "shortName": "string",
34 "avatarUrl": "string",
35 "email": "string"
36 }
37 ],
38 "shortId": "string",
39 "tags": [
40 {
41 "id": "string",
42 "name": "string",
43 "color": "string"
44 }
45 ],
46 "todos": [
47 {
48 "id": "string",
49 "text": "string",
50 "complete": true,
51 "createDate": "2024-01-15T09:30:00Z",
52 "modifyDate": "2024-01-15T09:30:00Z"
53 }
54 ],
55 "createDate": "2024-01-15T09:30:00Z",
56 "owner": {
57 "id": "string",
58 "initials": "string",
59 "firstName": "string",
60 "lastName": "string",
61 "email": "string",
62 "isActive": true,
63 "color": "string",
64 "avatarUrl": "string"
65 },
66 "ownerId": "string",
67 "project": {
68 "id": "string",
69 "shortId": "string",
70 "name": "string"
71 }
72 }
73 ]
74}

Retrieve a list of Meetings.

This endpoint does not use OData. If projectId is provided, results are limited to that Project.

Was this page helpful?
Previous

Create Meeting

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

projectIdstringOptionalformat: "uuid"
Optional project id to scope results

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.